Get firewall traffic Statistics
curl --request POST \
--url https://api.example.com/statistics/firewall_traffic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"column": [],
"filters": {
"vrf_name": "<string>",
"rule_name": "<string>",
"tenant_name": "<string>"
},
"sample_rate": "auto",
"flags": {
"group_by_rule_name": true,
"firewall_type": "firewall"
}
}
'import requests
url = "https://api.example.com/statistics/firewall_traffic"
payload = {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"column": [],
"filters": {
"vrf_name": "<string>",
"rule_name": "<string>",
"tenant_name": "<string>"
},
"sample_rate": "auto",
"flags": {
"group_by_rule_name": True,
"firewall_type": "firewall"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
column: [],
filters: {vrf_name: '<string>', rule_name: '<string>', tenant_name: '<string>'},
sample_rate: 'auto',
flags: {group_by_rule_name: true, firewall_type: 'firewall'}
})
};
fetch('https://api.example.com/statistics/firewall_traffic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sample_rate": "<string>",
"samples": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}statistics
Get firewall traffic Statistics
POST
/
statistics
/
firewall_traffic
Get firewall traffic Statistics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
cps, bps, pps, bytes, packets, connections, concurrent_connections Show child attributes
Show child attributes
Enum defining the sample rate in any Statistics API request
Available options:
auto, 10s, 30s, 1m, 5m, 15m, 1h Show child attributes
Show child attributes
⌘I